package com.colorful.keyboard.theme.net;


public abstract class CommonApiRequest extends BaseInitApiRequest {


  /*  public static void getCategories(Context context, String type, String businessId, InterfaceStatus interfaceStatus) {

        getNetData(initHHYApiStores().getCategories(RequestBuilder.create()
                        .putRequestParams("type", type) //	1：咨询 2：培训计划 3：店铺 4：商品 5：求购 6:职位 7：知识库
                        .putRequestParams("businessId", businessId)
                        .build()),
                new ApiCallbackCommon<BaseBean>(context, false) {

                    @Override
                    public void onSuccess(BaseBean model) {

                        if (model.getRetCode().equals("000000")) {
                            interfaceStatus.success();
                        } else {
                            interfaceStatus.fail();
                        }

                    }

                    @Override
                    public void onFailure(ApiException ex) {

                    }

                });
    }*/

}
